	
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	ref PChar;
	PChar = GetMainCharacter();

	switch(Dialog.CurrentNode)
	{
		// -----------------------------------Диалог первый - первая встреча
		case "First time":
			Dialog.defAni = "dialog_stay1";
			Dialog.defCam = "1";
			Dialog.defSnd = "dialogs\0\017";
			Dialog.defLinkAni = "dialog_1";
			Dialog.defLinkCam = "1";
			Dialog.defLinkSnd = "dialogs\woman\024";
			Dialog.ani = "dialog_stay2";
			Dialog.cam = "1";
			Dialog.snd = "voice\PADI\PADI001";
		/*
			string charid;
			charid = NPChar.id;
			switch(charid)
			{
				case "Kristiania_shipyard_owner":


				break;


			}
		*/

		break;
	//----------------------------------------------------------------
		case "locked_shipyard":
			PlaySound("VOICE\ENGLISH\Dut_m_a_006.wav");			
			dialog.text = DLG_TEXT[0];
			link.l1 = DLG_TEXT[1];  
			link.l1.go = "locked_shipyard1";
		break;

		case "locked_shipyard1":
			PlaySound("VOICE\ENGLISH\Dut_m_a_010.wav");		
			dialog.text = DLG_TEXT[2];
			link.l1 = DLG_TEXT[3];  
			link.l1.go = "locked_shipyard2";
		break;

		case "locked_shipyard2":
			PlaySound("VOICE\ENGLISH\Dut_m_a_007.wav");			
			dialog.text = DLG_TEXT[4];
			link.l1 = DLG_TEXT[5];  
			link.l1.go = "locked_shipyard3";			
		break;

		case "locked_shipyard3":
			PlaySound("VOICE\ENGLISH\Dut_m_a_044.wav");			
			dialog.text = DLG_TEXT[6];
			link.l1 = DLG_TEXT[7];  
			link.l1.go = "exit";
			AddDialogExitQuest("NS_locked_shipyard_done");
		break;


	
		
		
			
		case "Exit":
			DialogExit();
		//	Diag.CurrentNode = Diag.TempNode;
		break;
	}
}
